% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Wire Extensometer Link
% DatiWireExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_SM,DatiStress] = MediaDati_SM(DatiStress,TimeSM,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_SM function started';
fprintf(fileID,fmt,text);

[r,~]=size(DatiStress);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_SM = TimeSM;

%% Dati
DatiStress = smoothdata(DatiStress,'gaussian',NdatiMedia);

text = 'Average values for Stress Meter processed. MediaDati_SM function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end